it.csi.mddtools.guigen

## Interface OPAUTHSSO

- All Superinterfaces:
    AutenticationMethod, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface OPAUTHSSO
      extends AutenticationMethod

  A representation of the model object 'OPAUTHSSO'. Meccanismo di autenticazione basato su Single Sign On di Oracle Portal

  The following features are supported:

  - `Min Auth Level`
  See Also:
    `GuigenPackage.getOPAUTHSSO()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMinAuthLevel()` Returns the value of the 'Min Auth Level' attribute.
    `void` | `setMinAuthLevel(int value)` Sets the value of the '`Min Auth Level`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getMinAuthLevel

          int getMinAuthLevel()

      Returns the value of the 'Min Auth Level' attribute. The default value is `"1"`.

      If the meaning of the 'Min Auth Level' attribute isn't clear, there really should be more of a description here...

      livello minimo di autenticazione:
      - 1=username/password
      - 2=username/password/pin
      - 3=certificato digitale
      Returns:
        the value of the 'Min Auth Level' attribute.
      See Also:
        `setMinAuthLevel(int)`, `GuigenPackage.getOPAUTHSSO_MinAuthLevel()`

    - #### setMinAuthLevel

          void setMinAuthLevel(int value)

      Sets the value of the '`Min Auth Level`' attribute.
      Parameters:
        `value` - the new value of the 'Min Auth Level' attribute.
      See Also:
        `getMinAuthLevel()`